<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   name="Hyades Log File Parsers"
   id="org.eclipse.hyades.logging.parsers"
   class="org.eclipse.hyades.logging.parsers.LoggingParsersPlugin"
   provider-name="Eclipse.org"
   version="3.0.0">

   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.hyades.logging.commons" export="true"/>
      <import plugin="org.eclipse.hyades.logging.core" export="true"/>
	  <import plugin="org.eclipse.swt" export="true"/>
   </requires>

   <runtime>
      <library name="hparse.jar">
         <export name="*"/>
      </library>
   </runtime>

  <!-- ==============================================================
  <extension
  		point = "org.eclipse.hyades.logging.parsers.logParser">
  		<parser
  		    id= parser id ( required )
  		    name=parser name, such as WAS Log Parser ( required ); the string should be NL enabled
  		    ui_name=parser name displayed by the UI, such as WAS Log Parser ( required ); the string should be NL enabled
  		    description=parser description ( required ); NL enabed
  		    icon=icon ( optional )
  		    class=class implementing com.ibm.etools.logging.parsers.Parser abstract class>
   		    <field
   		        id=field id, such as logFilePath ( required )
   		    	name=field name as shown in the ui; NL enabled ( required )
   		    	ui_type = text_field , combobox, checkbox, radio, text_area ( optional, default value is text_field )
			    defaultValue=field default value ( optional )
			    useBrowse=( optional ) true if the coresponding entry field should have a Browse button
			    browseType=( optional ) filter types for the browse dialog, if any
   		    	tooltip=tooltip text for the text field ( optional )
			    helpContextId=context id - F1 help ( optional )
 		    >
 		    </field>
 		    <parserParameter
 		    	name=key of parameter (required)
 		    	value=value of parameter (required)
 		    >
 		    </parserParameter> 		    
  		</parser>
  </extension>

  For every entry field provide a field attribute in the extension point;
  For example, if the parser input needs the log file path and WAS_HOME path,
  provide two field elements defining these two entries.
  ============================================================== -->

  <extension-point id="logParser" name="%ExtPoint.LogParser"/>

	<!-- The following extension points have been moved to the org.eclipse.hyades.logging.adaptor plugin -->

  <!-- Apache V1.3.26 Access Log Parser extension point -->
  <!--extension
  		point = "org.eclipse.hyades.logging.parsers.logParser">
  		<parser
  		    id="org.eclipse.hyades.logging.parsers.ApacheAccessLogParser"
  		    name="%STR_APACHE_ACCESS_LOG_IMPORT_NAME"
  		    ui_name="%STR_APACHE_ACCESS_LOG_IMPORT_NAME"
  		    description="%STR_APACHE_ACCESS_LOG_IMPORT_DESCRIPTION"
  		    icon="./icons/full/obj16/apache_parser_obj.gif"
  		    class="org.eclipse.hyades.logging.parsers.ApacheAccessLogParser">
   		    <field
   		        id="file_path"
   		    	name="%STR_APACHE_ACCESS_LOG_IMPORT_FILE_PATH"
			    defaultValue=""
			    useBrowse="true"
			    browseType="*.log"
   		    	tooltip="%STR_APACHE_ACCESS_LOG_IMPORT_FILE_PATH_TOOLTIP"
			    helpContextId=""
 		    >
 		    </field>
   		    <field
   		        id="APACHE_VERSION"
   		    	name="%STR_APACHE_ACCESS_LOG_IMPORT_APACHE_VERSION"
   		    	ui_type="combobox"
			    defaultValue="1.3.20,1.3.26,2.0"
			    useBrowse="false"
   		    	tooltip="%STR_APACHE_ACCESS_LOG_IMPORT_APACHE_VERSION_TOOLTIP"
			    helpContextId=""
 		    >
 		    </field>
  		</parser>
  </extension-->

  <!-- Apache V1.3.26 Error Log Parser extension point -->
  <!--extension
  		point = "org.eclipse.hyades.logging.parsers.logParser">
  		<parser
  		    id="org.eclipse.hyades.logging.parsers.ApacheErrorLogParser"
  		    name="%STR_APACHE_ERR_LOG_IMPORT_NAME"
  		    ui_name="%STR_APACHE_ERR_LOG_IMPORT_NAME"
  		    description="%STR_APACHE_ERR_LOG_IMPORT_DESCRIPTION"
  		    icon="./icons/full/obj16/apache_parser_obj.gif"
  		    class="org.eclipse.hyades.logging.parsers.ApacheErrorLogParser">
   		    <field
   		        id="file_path"
   		    	name="%STR_APACHE_ERR_LOG_IMPORT_FILE_PATH"
			    defaultValue=""
			    useBrowse="true"
			    browseType="*.log"
   		    	tooltip="%STR_APACHE_ERR_LOG_IMPORT_FILE_PATH_TOOLTIP"
			    helpContextId=""
 		    >
 		    </field>
			<field
   		        id="APACHE_VERSION"
   		    	name="%STR_APACHE_ERR_LOG_IMPORT_APACHE_VERSION"
   		    	ui_type="combobox"
			    defaultValue="1.3.20,1.3.26,2.0"
			    useBrowse="false"
   		    	tooltip="%STR_APACHE_ERR_LOG_IMPORT_APACHE_VERSION_TOOLTIP"
			    helpContextId=""
 		    >
 		    </field>
  		</parser>
  </extension-->

</plugin>
